Documentation Index
Fetch the complete documentation index at: https://openops-ecb4f397-sandgarden-doc-2026-02-18-uffu2asuf0.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
When you deploy OpenOps for the first time, it creates an admin user account. The email and password for the account are defined in two variables in your .env file:
OPS_OPENOPS_ADMIN_EMAIL
OPS_OPENOPS_ADMIN_PASSWORD
The admin user account created this way has exactly one distinction: it can be used to create other user accounts.
Creating new user accounts
OpenOps doesn’t currently provide a UI for creating user accounts; instead, you can do it with two API calls.
The first API call is to sign in the admin user:
POST http://your-openops-installation/api/v1/authentication/sign-in
Content-Type: application/json
{
"email": "your-admin-email",
"password": "your-admin-password"
}
This call returns a JSON object that contains a property called token.
Use that token in one of the following ways:
- Send it in the
Authorization header as Bearer <token>.
- Send it as a cookie named
token.
The next call creates a new user account. Before making the call, in the body, don’t forget to specify actual values for the four properties that are left empty in the sample below:
POST http://your-openops-installation/api/v1/authentication/sign-up
Authorization: Bearer your-admin-token
Content-Type: application/json
{
"password": "",
"email": "",
"firstName": "",
"lastName": "",
"trackEvents": false,
"newsLetter": false
}
The user account that you create this way will be able to perform all operations in OpenOps except for creating new user accounts. Every time you do that, you’ll still need an admin token.
Viewing the OpenAPI UI
OpenOps serves a Swagger UI at:
http://your-openops-installation/api/v1/openapi